Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Protected Types | Properties | List of all members
CSAudioDevice Class Reference

Audio device interface. More...

`#import <CSAudioDevice.h>`

Inherits NSObject.

Inherited by CSMicrophoneDevice, and CSSpeakerDevice.

## Instance Methods
(instancetype) | - initWithType:
| Constructs audio device of specific type. More...
(BOOL) | - isDefault
| Indicates if audio device is system default. More...
(BOOL) | - isBuiltIn
| Indicates if audio device is built-in. More...

## Protected Types
enum | CSAudioDeviceType { CSAudioDeviceNone, CSAudioDeviceDefault, CSAudioDeviceWiredHeadset, CSAudioDeviceHandset, CSAudioDeviceSpeaker, CSAudioDeviceBluetoothHeadset, CSAudioDeviceNamed }
| Enumeration for audio device type. More...

## Properties
NSString * | name
| Audio device name. More...
NSString * | guid
| Audio device GUID. More...
CSAudioDeviceType | type
| Audio device type. More...

## Detailed Description

Audio device interface.

A device that emits sound (speaker) or listens for sound (microphone)

## Member Enumeration Documentation

- (enum) CSAudioDeviceType
| protected

Enumeration for audio device type.

Enumerator
CSAudioDeviceNone | Audio device type is not defined.
CSAudioDeviceDefault | Default audio device.
CSAudioDeviceWiredHeadset | Wired headset audio device.
CSAudioDeviceHandset | Handset audio device.
CSAudioDeviceSpeaker | Speaker audio device.
CSAudioDeviceBluetoothHeadset | Wireless headset audio device.
CSAudioDeviceNamed | Named audio device.

## Method Documentation

- (instancetype) initWithType: |  | (CSAudioDeviceType) | type |

Constructs audio device of specific type.

Implemented in CSMicrophoneDevice, and CSSpeakerDevice.

- (BOOL) isBuiltIn |  |  |

Indicates if audio device is built-in.

- (BOOL) isDefault |  |  |

Indicates if audio device is system default.

## Property Documentation

- (NSString*) guid
| read write atomic copy

Audio device GUID.

- (NSString*) name
| read write atomic copy

Audio device name.

- (CSAudioDeviceType) type
| read atomic assign

Audio device type.

The documentation for this class was generated from the following file:

- CSAudioDevice.h